import "./styles.sass";
import {useContext} from "react";
import {GuildContext} from "@/states/Manage/contexts/GuildProvider";
import SheepstarImage from "@/common/images/sheepstar.png";
import Button from "@/common/components/Button";
import {useNavigate} from "react-router-dom";

export const DEFAULT_AVATAR = "https://cdn.discordapp.com/embed/avatars/0.png";

export const Chooser = () => {
    const guilds = useContext(GuildContext);
    const navigate = useNavigate();

    return (
        <div className="chooser-page">

            <div className="chooser-header">
                <img src={SheepstarImage}/>
                <h1>Sheepstar</h1>
                <hr/>
                <h2>Server Chooser</h2>
            </div>

            <div className="guilds">
                {guilds.map((guild) => (
                    <div className="guild" key={guild.id}>
                        <div className="info-area">
                            <img
                                src={guild.icon === null ? DEFAULT_AVATAR : `https://cdn.discordapp.com/icons/${guild.id}/${guild.icon}.png`}
                                alt="guild-icon"/>
                            <h1>{guild.name}</h1>
                        </div>

                        <Button size="large" onClick={() => navigate(`/guild/${guild.id}/achievements`)}>Manage</Button>
                    </div>
                ))}
            </div>
        </div>
    );
}